stages:
  - Pre-build
  - Build
  - Release

variables:
  IMAGE_NAME: huy66/java
  IMAGE_TAG: latest

Pre-build:
  stage: Pre-build
  variables:
    VERSION: v1
    ACCOUNT: huy66
  script:
    - echo $VERSION
    - echo $ACCOUNT

Build:
  stage: Build
  image: docker:20.10.16
  services:
    - docker:20.10.16-dind
  script:
    - docker build -t $IMAGE_NAME:$IMAGE_TAG -f test.Dockerfile .
  tags:
    - Build_demo
    
Release:
  stage: Release
  image: docker:20.10.16
  services:
    - docker:20.10.16-dind
  before_script:
    - docker login -u huy66 -p AbcXyz@123
  script:
    - docker build -t $IMAGE_NAME:$IMAGE_TAG -f test.Dockerfile .
    - docker push $IMAGE_NAME:$IMAGE_TAG